# Geocoder

#### new Cesium.Geocoder(options)
Widgets/Geocoder/Geocoder.js 29

A widget for finding addresses and landmarks, and flying the camera to them. Geocoding is performed using Cesium ion.

Name | Type | Description
--- | --- | ---
`options` | Object | Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`container` | Element | String |  | The DOM element or ID that will contain the widget.
`scene` | Scene |  | The Scene instance to use.
`geocoderServices` | Array.<GeocoderService> |  | optional The geocoder services to be used
`autoComplete` | Boolean | `true` | optional True if the geocoder should query as the user types to autocomplete
`flightDuration` | Number | `1.5` | optional The duration of the camera flight to an entered location, in seconds.
`destinationFound` | Geocoder.DestinationFoundFunction | `GeocoderViewModel.flyToDestination` | optional A callback function that is called after a successful geocode. If not supplied, the default behavior is to fly the camera to the result destination.

### Members

#### container : Element
Widgets/Geocoder/Geocoder.js 162

Gets the parent container.

#### searchSuggestionsContainer : Element
Widgets/Geocoder/Geocoder.js 174

Gets the parent container.

#### viewModel : GeocoderViewModel
Widgets/Geocoder/Geocoder.js 186

Gets the view model.

### Methods

#### destroy()
Widgets/Geocoder/Geocoder.js 204

Destroys the widget. Should be called if permanently removing the widget from layout.

#### isDestroyed() → Boolean
Widgets/Geocoder/Geocoder.js 196

##### Returns:

true if the object has been destroyed, false otherwise.

### Type Definitions

#### Cesium.Geocoder.DestinationFoundFunction(viewModel, destination)
Widgets/Geocoder/Geocoder.js 225

A function that handles the result of a successful geocode.

Name | Type | Description
--- | --- | ---
`viewModel` | GeocoderViewModel | The view model.
`destination` | Cartesian3 | Rectangle | The destination result of the geocode.